@import '../../styles/variables.scss';
@import '../../styles/mixins.scss';

#footer {
  background: mix($gray-light, $white, 20%);
  @include text-2;

  .nav {
    @include mobile {
      padding-top: 50px;
      padding-bottom: 50px;
    }
    @include tablet {
      padding-top: 100px;
      padding-bottom: 100px;
    }
    @include desktop {
      padding-top: 140px;
      padding-bottom: 140px;
    }
    > * {
      margin-bottom: 10px;
    }
  }

  .section {
    &__title {
      margin-bottom: 20px;
      font-size: inherit;
      &_blue {
        color: $blue;
      }
      &_gray {
        color: $gray;
      }
      &_gold {
        color: $gold-dark;
      }
    }
    &_condensates {
      grid-column: 1 / span 3;
    }
    &_dewpoint {
      @include mobile {
        display: none;
      }
      @include tablet-up {
        grid-column: 4 / span 3;
      }
    }
    &_contact-us {
      @include mobile {
        display: none;
      }
      @include tablet {
        grid-column: 8 / span 3;
      }
      @include desktop {
        grid-column: 9 / span 3;
      }
    }
    &__button {
      margin-top: 20px;
    }
  }

  .legal {
    background: mix($gray-light, $white, 60%);
    padding-top: 22px;
    padding-bottom: 22px;
    &__inner {
      grid-column: 1 / span 12;
      display: flex;
      justify-content: space-between;
      align-items: center;
    }
    &__link {
      display: inline-block;
      &:not(:last-child) {
        border-right: 1px solid $gray;
        padding-right: 12px;
        margin-right: 12px;
      }
    }
  }

}
